.piano-keys {
  display: flex;
  --key-width: 40px;
  --key-height: 150px;
  --black-key-relative-size: 0.8;
}

.piano-key {
  display: block;
  width: var(--key-width);
  height: var(--key-height);
  border-top-right-radius: 0px;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  border: 1px solid black;
  background:rgb(255, 255, 255);
  color:black;
  font-size:8px;
  text-align:center;
}
piano-key:disabled{
	background:rgb(200,200,200)
}
.piano-key:disabled:hover{
	cursor:auto;
}
.piano-key:hover {
  cursor: pointer;
}

.piano-key:nth-child(12n + 2),
.piano-key:nth-child(12n + 4),
.piano-key:nth-child(12n + 7),
.piano-key:nth-child(12n + 9),
.piano-key:nth-child(12n + 11){
  background: rgb(0, 0, 0);
  color:rgb(255, 255, 255);
  text-align:center;
  z-index: 1;
  margin-left: calc(var(--key-width) * var(--black-key-relative-size) / 2 * -1);
  height: calc(var(--key-height) / 2);
  width: calc(var(--key-width) * var(--black-key-relative-size));
  padding:0px;
}

.piano-key:nth-child(12n + 3),
.piano-key:nth-child(12n + 5),
.piano-key:nth-child(12n + 8),
.piano-key:nth-child(12n + 10),
.piano-key:nth-child(12n + 12) {
    background: rgb(255, 255, 255);
  margin-left: calc(var(--key-width) * var(--black-key-relative-size) / 2 * -1);
}
.piano-key:disabled:active{
	top:0px;
}
.piano-key:active {
  top: 3px;
  position: relative;
}

.nv-key{
  	height: 40px;
	width: 40px;
	max-width: 40px;
	margin: 3px;
	border-radius: 5px;
	border: 1px solid black;
	color:black;
	background: rgb(107, 107, 107);
	font-size: 1.05rem;
	outline: none;
	cursor: pointer;
	display: inline-flex;
	justify-content: center;
	align-items: center;
	vertical-align: top;
	padding: 0;
	-webkit-tap-highlight-color: transparent;
	position: relative;
}
.nv-key:hover{
	background: rgb(173, 171, 171);

}

.nv-key:active{
  background:black;
  color:white;
}
.kbd-key {
		max-width: 150px;
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 5px;
	background-color: #e4e4e4;
	margin-left:0px;
	color: rgba(0, 0, 0, 0.6);
	font-size: 14px;
	outline: none;
	cursor: pointer;
	font-size: 14px;
	line-height: 1;
	text-align: center;
	padding: 8px 16px;
	-webkit-tap-highlight-color: transparent;
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.3), 0 1px rgba(255, 255, 255, 0.1);
	position: relative;
}

.kbd-key:active {
   top: 3px;
  left: 2px;
  position: relative;
	background: black;
    color:white;
}
